<!DOCTYPE html>
<html lang="en">
<head>
  <title>{% trans %}GNUKhata{% endtrans %} | {% trans %}Stock Report{% endtrans %}</title>

  <style type="text/css">
  .shadow {
    box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
  }
  #latable td {
    font-size: 75%;
    padding: 4 !important;
    margin: 4 !important;
  }

  #latable th {
    font-size: 85%;
  }

  .card-view .title {
      font-weight: bold;
      display: inline-block;
      min-width: 30%;
      text-align: left !important;
  }

  #latable tbody {
      display:block;
      height: calc(100vh - 20em);
      overflow-y:scroll;
  }
  #latable thead,#latable tbody tr {
      display:table;
      width:100%;
      table-layout:fixed;
  }
  #latable thead {
      width: calc( 100% - 0.65em );
  }

  .rightlist {
    text-align: right;
  }

  .calign {
    text-align: center;
  }

  </style>
</head>
<body>
  <input type="hidden" id="productcode" name="productcode" value="{{stockrefresh["productcode"]}}"></input>
  <input type="hidden" id="productdesc" name="productdesc" value="{{stockrefresh["productdesc"]}}"></input>
  <input type="hidden" id="calculatefrom" name="calculatefrom" value="{{stockrefresh["calculatefrom"]}}"></input>
  <input type="hidden" id="calculateto" name="calculateto" value="{{stockrefresh["calculateto"]}}"></input>
  <input type="hidden" id="financialstart" name="financialstart" value="{{stockrefresh["financialstart"]}}"></input>
  <input type="hidden" id="godownflag" name="godownflag" value="{{stockrefresh["godownflag"]}}"></input>
  <input type="hidden" id="goid" name="goid" value="{{stockrefresh["goid"]}}"></input>
  <input type="hidden" id="goname" name="goname" value="{{godown}}"></input>
  <input type="hidden" id="goaddr" name="goaddr" value="{{godownadd}}"></input>


  <span class="pull-right" style="padding-right:15px"><i>{% trans %}Period{% endtrans %}</i> : <strong>{{stockrefresh["calculatefrom"]}}</strong> {% trans %}to{% endtrans %} <strong>{{stockrefresh["calculateto"]}}</strong></span>
  {% if godown == "" %}
  <span style="margin-left: 46.4%;"><strong><i>{% trans %}Product Report{% endtrans %}</i></strong></span>
  <span style="margin:auto; display:table; width: 100%; text-align: center"><i>{% trans %}Name of the Product{% endtrans %}: </i><strong>{{stockrefresh["productdesc"]}}</strong></span>
  {% else %}
  <span style="margin-left: 42.7%;"><strong><i>{% trans %}Godown Wise Product Report{% endtrans %}</i></strong></span>
  <span style="margin:auto; display:table; width: 100%;text-align: center"><i>{% trans %}Name of the Product{% endtrans %}: </i><strong>{{stockrefresh["productdesc"]}}</strong></span>
  <span style="margin:auto; display:table; width: 100%;text-align: center"><i>{% trans %}Name of the Godown{% endtrans %}: </i><strong>{{godown}}</strong> <i>{% trans %}Godown Address{% endtrans %}: </i><strong>{{godownadd}}</strong></span>
  {% endif %}
  <button class="btn btn-sm btn-danger pull-right" type="button" style="margin-right: 15px;display:none;" id="laclearfields">{% trans %}Clear Search{% endtrans %}<span class="glyphicon glyphicon-remove" style="margin-left: 5px;"></span></button>
  <table id="latable" class="table shadow table-bordered" data-toggle="table" data-show-toggle="true"  data-search-align="left" data-buttons-align="left" data-search="true" >
    <thead class="bg-primary">
      <tr>
        <th class="col-xs-1 calign" >
          {% trans %}Date{% endtrans %}
        </th>
        {% if godown == "" %}
        <th class="col-xs-3 calign" >
        {% else %}
        <th class="col-xs-3 calign" >
        {% endif %}
          {% trans %}Particulars{% endtrans %}
        </th>
        <th class="col-xs-2 calign" >
          {% trans %}Document Type{% endtrans %}
        </th>
        <th class="col-xs-2 calign" >
          {% trans %}Deli Note No.{% endtrans %}
        </th>
        <th class="col-xs-1 calign" >
          {% trans %}INV No.{% endtrans %}
        </th>
	<th class="col-xs-1 calign" >
          {% trans %}RN No.{% endtrans %}
        </th>
	
        {% if godown != "" %}
        <th class="col-xs-2 calign" >
          {% trans %}TN No.{% endtrans %}
        </th>
        {% endif %}
        {#<th class="col-xs-1 calign" >
          {% trans %}RN No.{% endtrans %}
        </th>#}
        <th class="col-xs-1 rightlist" >
          {% trans %}Inward{% endtrans %}
        </th>
        <th class="col-xs-1 rightlist" >
          {% trans %}Outward{% endtrans %}
        </th>
        <th class="col-xs-1 rightlist" >
          {% trans %}Balance{% endtrans %}
        </th>
      </tr>
    </thead>
    <tbody>
      {% for record in gkresult %}
      {% if record["particulars"] =="opening stock" and record["invno"]=="" and record["dcno"]=="" and record["date"]=="" %}
      <tr>
        <td class="col-xs-1 calign" >
        </td>
        {% if godown == "" %}
        <td class="col-xs-3">
        {% else %}
        <td class="col-xs-3">
        {% endif %}
          <d class="libgname text-capitalize" >{{record["particulars"]}}</d>
        </td>
        <td class="col-xs-2 calign" >
        </td>
        <td class="col-xs-2 calign" >
        </td>
	<td class="col-xs-1 calign" >
        </td>
        <td class="col-xs-1 calign" >
        </td>
	
        {% if godown != "" %}
        <td class="col-xs-2 calign" >
        </td>
        {% endif %}
        {#<td class="col-xs-1 calign" >
        </td>#}
        <td class="col-xs-1 rightlist">
          {{record["inward"]}}
        </td>
        <td class="col-xs-1 rightlist" >
        </td>
        <td class="col-xs-1 rightlist" >
        </td>
      </tr>
      {% endif %}
      {% if record["particulars"] !="Total" and (record["dcno"]!="" or record["invno"]!="" or record["tnno"]!="" or record["rnno"] != "") and record["date"]!="" %}
      {% if record["dcno"]!= "" %}
      <tr value="{{record["dcid"]}}">
      {% elif record["invno"]!= "" %}
      <tr value="{{record["invid"]}}">
      {% elif record["rnno"]!= "" %}
      <tr value="{{record["rnid"]}}">
      {% else %}
      <tr value="{{record["tnid"]}}"> <!-- check once-->
      {% endif %}
        <td class="col-xs-1 calign" >
          {{record["date"]}}
        </td>
        {% if godown == "" %}
        <td class="col-xs-3">
        {% else %}
        <td class="col-xs-3">
        {% endif %}
          {{record["particulars"]}}
        </td>
        <td class="col-xs-2 calign" >
          {% if record["trntype"] == "delchal" %}
            Delivery Note
          {% endif %}
          {% if record["trntype"] == "invoice" %}
            Invoice
          {% endif %}
          {% if record["trntype"] == "delchal&invoice" %}
            Delivery Note & Invoice
          {% endif %}
          {% if record["trntype"] == "transfer note" %}
            Transfer Note
          {% endif %}
          {% if record["trntype"] == "Rejection Note" %}
            Rejection Note
          {% endif %}

        </td>
        <td value="{{record["dcid"]}}" class="col-xs-2 calign" >
          {% if record["dcno"]!="" %}
            {{record["dcno"]}}
          {% endif %}
        </td>
        <td value="{{record["invid"]}}" class="col-xs-1 calign" >
          {% if record["invno"]!="" %}
            {{record["invno"]}}
          {% endif %}
        </td>
	<td value="{{record["rnid"]}}" class="col-xs-1 calign" >
          {% if record["rnno"] != "" %}
            {{record["rnno"]}}
          {% endif %}
        </td>
        {% if godown != "" %}
          <td value="{{record["tnid"]}}" class="col-xs-2 calign" >
            {% if record["tnno"] != "" %}
              {{record["tnno"]}}
            {% endif %}
          </td>
        {% endif %}
       	<td class="col-xs-1 rightlist">
          {{record["inwardqty"]}}
        </td>
        <td class="col-xs-1 rightlist" >
          {{record["outwardqty"]}}
        </td>
        <td class="col-xs-1 rightlist" >
          {{record["balance"]}}
        </td>
      </tr>
      {% endif %}
      {% if record["particulars"] =="Total" and record["dcno"]=="" and record["invno"]=="" and record["date"]=="" %}
      <tr>
        <td class="col-xs-1 calign" >
        </td>
        {% if godown == "" %}
        <td class="col-xs-3">
        {% else %}
        <td class="col-xs-3">
        {% endif %}
          {{record["particulars"]}}
        </td>
        <td class="col-xs-2 calign" >
        </td>
        <td class="col-xs-2 calign" >
        </td>
        <td class="col-xs-1 calign" >
        </td>
	<td class="col-xs-1 calign" >
        </td>
        
        {% if godown != "" %}
          <td class="col-xs-2 calign" >
          </td>
        {% endif %}
        <td class="col-xs-1 rightlist">
          {{record["totalinwardqty"]}}
        </td>
        <td class="col-xs-1 rightlist" >
          {{record["totaloutwardqty"]}}
        </td>
        <td class="col-xs-1 rightlist" >
        </td>
      </tr>
      {% endif %}
      {% endfor %}
    </tbody>
  </table>
  <div class="col-xs-12">
    <small>
        <b>Deli Note No. : </b> Delivery Note Number, &nbsp
        <b>INV No. :</b> Invoice Number, &nbsp
	<b>RN No. :</b> Rejection Note Number<br><br>
        {% if godown != "" %}
        <b>TN No. :</b> Transfer Note Number
        {% endif %}
    </small>
</div>
  <span style="margin:auto; display:table;">
    <nbsp><nbsp>
      <button type="button" class="btn btn-sm btn-warning" id="viewanotherstock" accesskey="w"><i class="fa fa-eye" aria-hidden="true"></i> {% trans %}Vie<u>w</u> Another Product{% endtrans %}</button>
    <button class="btn btn-sm btn-primary" type="button"  id="print" accesskey="x"><i class="fa fa-file-excel-o" aria-hidden="true"></i> {% trans %}E<u>x</u>port to Spreadsheet{% endtrans %}</button>
      <button type="button" class="btn btn-sm btn-info" id="viewprintableversion" accesskey="t"><i class="fa fa-print" aria-hidden="true"></i> {% trans %}View Prin<u>t</u>able Version{% endtrans %}</button>
  </span>
  <script type="text/javascript" src="{{request.static_url('gkwebapp:static/js/bootstrap-table.js')}}"></script>
  <script type="text/javascript" src="{{request.static_url('gkwebapp:static/js/showstockreport.js')}}"></script>
</body>
</html>
